@use '@angular/material' as mat;
@import "../override/material-override";
@import "../override/dark-mode-override";
@import "../override/light-mode-override";
// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/

$primary: mat.m2-define-palette(mat.$m2-light-blue-palette, 800);
$accent: mat.m2-define-palette(mat.$m2-deep-purple-palette, 300, A100, A400);
$warn: mat.m2-define-palette(mat.$m2-red-palette);

$dlcm-theme: mat.m2-define-light-theme(
        $primary,
        $accent,
        $warn
);

$dlcm-dark-theme: mat.m2-define-dark-theme(
        $primary,
        $accent,
        $warn
);

@include isInTheme($theme-name-dlcm, true) {
  --primary-color: #{map-get($primary, 800)};
  --primary-color-lighter: #028dd6;
  --text-color-in-primary: #ffffff;

  @include mat.all-component-themes($dlcm-theme);

  &:not([dark-mode='true']) {
    @include dlcm-material-override;
    @include dlcm-light-mode-override;
  }

  &[dark-mode='true'] {
    @include mat.all-component-colors($dlcm-dark-theme);
    @include dlcm-material-override;
    @include dlcm-dark-mode-override;
  }
}
